corda / net.corda.client.model / NetworkIdentityModel

# NetworkIdentityModel

`class NetworkIdentityModel`

### Constructors

<init> | `NetworkIdentityModel()`

### Properties

myIdentity | `val myIdentity: ObservableValue<NodeInfo?>`
networkIdentities | `val networkIdentities: ObservableList<NodeInfo>`
notaries | `val notaries: ObservableList<NodeInfo>`
parties | `val parties: ObservableList<NodeInfo>`

### Functions

lookup | `fun lookup(compositeKey: CompositeKey): ObservableValue<NodeInfo?>` `fun lookup(publicKey: PublicKey): ObservableValue<NodeInfo?>`